REM ============================================================
REM FILE: Build.bat
REM DESC: This File will Build the Gridding and Mapping Module.
REM ============================================================

REM ------------------------------------------------------------
REM SET environment variables.
REM ------------------------------------------------------------

SET CLASSPATH=

REM ------------------------------------------------------------
REM CREATE CLASS Directories
REM ------------------------------------------------------------

MKDIR cmn
MKDIR gui
MKDIR plot
MKDIR util

MKDIR quake
MKDIR quake\gui
MKDIR quake\io
MKDIR quake\plot

REM ------------------------------------------------------------
REM COPY the Source Code to the CLASS Directories
REM ------------------------------------------------------------

COPY src\*.java .
COPY src\cmn\*.java cmn
COPY src\gui\*.java gui
COPY src\plot\*.java plot
COPY src\util\*.java util

COPY src\quake\*.java quake
COPY src\quake\gui\*.java quake\gui
COPY src\quake\io\*.java quake\io
COPY src\quake\plot\*.java quake\plot

REM ------------------------------------------------------------
REM COMPILE Gridding and Mapping Module
REM ------------------------------------------------------------

C:\jdk1.7.0_25\bin\javac -Xlint:deprecation Plot2D.java

REM ------------------------------------------------------------
REM REMOVE Source Code from the CLASS Directories
REM ------------------------------------------------------------

DEL *.java
DEL cmn\*.java
DEL gui\*.java
DEL plot\*.java
DEL util\*.java

DEL quake\*.java
DEL quake\gui\*.java
DEL quake\io\*.java
DEL quake\plot\*.java

REM ------------------------------------------------------------
REM REMOVE the old Gridding and Mapping Module Jar File
REM BUILD JAR File for the Gridding and Mapping Module
REM ------------------------------------------------------------

DEL Plot2D.txt

C:\jdk1.7.0_25\bin\jar cvfm Plot2D.jar Manifest.txt *.class cmn gui plot util quake images
C:\jdk1.7.0_25\bin\jar tvf Plot2D.jar > Plot2D.txt

MOVE Plot2D.jar lib

REM ------------------------------------------------------------
REM CLEAN UP
REM ------------------------------------------------------------

DEL cmn /q
DEL gui /q
DEL plot /q
DEL util /q

DEL quake /q
DEL quake\gui /q
DEL quake\io /q
DEL quake\plot /q

RMDIR cmn
RMDIR gui
RMDIR plot
RMDIR util

RMDIR quake\gui
RMDIR quake\io
RMDIR quake\plot
RMDIR quake

DEL *.class
